scsi_dev_info_list_add_str
Prev | drivers/scsi/scsi_devinfo.c | Next

## Name

scsi_dev_info_list_add_str — parse dev_list and add to the scsi_dev_info_list.

## Synopsis

`int scsi_dev_info_list_add_str (` | char * | dev_list`)`;

## Arguments

`dev_list`

  string of device flags to add

## Description

Parse dev_list, and add entries to the scsi_dev_info_list. dev_list is of the form “vendor:product:flag,vendor:product:flag”. dev_list is modified via strsep. Can be called for command line addition, for proc or mabye a sysfs interface.

## Returns

0 if OK, -error on failure.

Prev | Up | Next
scsi_dev_info_list_add | Home | scsi_get_device_flags